<!-- home header  -->
<ion-header>
  <ion-navbar color="haldin-header">
    <ion-title>
	    <h3>Pendaftaran HSP</h3>
      <!-- <h3 style="margin-right: auto; margin-left: auto;"><span class="font-color-green">Pendaftaran </span><span class="font-color-blue">Hsp</span></h3> -->
    </ion-title>
  </ion-navbar>
</ion-header>
<!-- end home header  -->
<ion-content padding>
  <ion-list>
    <form (submit)="doSignup()">
      <ion-input type="hidden" [(ngModel)]="regData.kode_tipe_user" name="kode_tipe_user" clearInput=true></ion-input>
    
      <ion-item class="lista">
          <ion-label>Gelar *</ion-label>
        <ion-select [(ngModel)]="regData.gelar" name="gelar">
            <ion-option value="Mr">Mr</ion-option>
            <ion-option value="Mrs">Mrs</ion-option>
          <ion-option value="Ms">Ms</ion-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label>Nama *</ion-label>
        <ion-input type="text" [(ngModel)]="regData.nama" name="nama" clearInput=true></ion-input> 
      </ion-item>
      
      <ion-item class="lista">
        <ion-label>Jenis Kelamin *</ion-label>
        <ion-select [(ngModel)]="regData.jenis_kelamin" name="jenis_kelamin">
            <ion-option value="L">Laki-laki</ion-option>
            <ion-option value="P">Perempuan</ion-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label>Email *</ion-label>
        <ion-input type="email" [(ngModel)]="regData.email" name="email" clearInput=true></ion-input>
      </ion-item>
      
      <ion-item>
        <ion-label>Telepon *</ion-label>
        <ion-input type="text" [(ngModel)]="regData.telepon" name="telepon" clearInput=true></ion-input>
      </ion-item>
      
      <ion-item>
        <ion-label>NIK *</ion-label>
        <ion-input type="text" [(ngModel)]="regData.nik" name="nik" clearInput=true></ion-input>
      </ion-item>

      <ion-item>
        <ion-label>Foto KTP</ion-label>
      </ion-item>

      <p style="text-align: center;">
        <img src="{{myImageKtp}}" (click)="takePhotoKtp()" />
        <ion-input type="hidden" [(ngModel)]="regData.imageOri" name="imageOri"></ion-input>
      </p>
      <br />

      <ion-item>
        <ion-label>NPWP *</ion-label>
        <ion-input type="text" [(ngModel)]="regData.npwp" name="npwp" clearInput=true></ion-input>
      </ion-item>
    
      <ion-item>
        <ion-label>Foto NPWP *</ion-label>  
      </ion-item>
      <p style="text-align: center;">
        <img src="{{myImageNpwp}}" (click)="takePhotoNpwp()" />
        <ion-input type="hidden" [(ngModel)]="regData.imageOriNpwp" name="imageOriNpwp"></ion-input>
      </p>
      <br />
      
      <p class="fn">Jika tidak ada NPWP, potongan pajak akan menyesuaikan</p>
      
      <ion-item>
          <ion-label position="floating">Alamat *</ion-label>
        <ion-textarea [(ngModel)]="regData.alamat" name="alamat"></ion-textarea>
      </ion-item> 

      <ion-item class="lista">	
            <ion-label>Provinsi *</ion-label>	
            <ion-select name="provinsiSelected" (ionChange)="onGetCity($event)" [(ngModel)]="regData.provinsiSelected">
                <ion-option *ngFor="let provinsi of data_provinsi" value="{{provinsi.id_propinsi}}">{{provinsi.nama_propinsi}}</ion-option>
            </ion-select>
      </ion-item>	

      <ion-item class="lista">	
          <ion-label>Kota *</ion-label>	
          <ion-select name="citySelected" [(ngModel)]="regData.citySelected" (ionChange)="kode_agent($event)">
              <ion-option *ngFor="let city of data_city" value="{{city.id_kabkota}}">{{city.nama_kabkota}}</ion-option>
          </ion-select>
      </ion-item>	
      
      <ion-item class="lista">	
          <ion-label>Kecamatan *</ion-label>	
          <ion-select name="kecamatanSelected" [(ngModel)]="regData.kecamatanSelected" (ionChange)="onGetKelurahan($event)">
              <ion-option *ngFor="let kecamatan of data_kecamatan" value="{{kecamatan.id_kecamatan}}">{{kecamatan.nama_kecamatan}}</ion-option>
          </ion-select>
      </ion-item>	
      
      <ion-item class="lista">	
          <ion-label>Kelurahan *</ion-label>	
          <ion-select name="kelurahanSelected" [(ngModel)]="regData.kelurahanSelected">
              <ion-option *ngFor="let kelurahan of data_kelurahan" value="{{kelurahan.id_kelurahan}}">{{kelurahan.nama_kelurahan}}</ion-option>
          </ion-select>
      </ion-item>	

      <ion-item>
          <ion-label>Kode Pos *</ion-label>
          <ion-input type="text" [(ngModel)]="regData.kode_pos" name="kode_pos" clearInput=true></ion-input>
      </ion-item>	
      
      <ion-item>
          <ion-label>Nama Bank *</ion-label>
          <ion-input type="text" [(ngModel)]="regData.nama_bank" name="nama_bank" clearInput=true></ion-input>
      </ion-item>

      <ion-item>
          <ion-label>Kantor Cabang *</ion-label>
          <ion-input type="text" [(ngModel)]="regData.kantor_cabang" name="kantor_cabang" clearInput=true></ion-input>
      </ion-item>

      <ion-item>
          <ion-label>Nomor Rekening *</ion-label>
          <ion-input type="text" [(ngModel)]="regData.nomor_rekening" name="nomor_rekening" clearInput=true></ion-input>
      </ion-item>

      <ion-item>
          <ion-label>Nama Pemilik Rekening *</ion-label>
          <ion-input type="text" [(ngModel)]="regData.nama_pemilik" name="nama_pemilik" clearInput=true></ion-input>
      </ion-item>
      
      <ion-item>
          <ion-label>Foto Buku Rekening *</ion-label>  
      </ion-item>
      
      <p style="text-align: center;">
          <img src="{{myImageRek}}" (click)="takePhotoRek()" />
          <ion-input type="hidden" [(ngModel)]="regData.imageOriRek" name="imageOriRek"></ion-input>
      </p>
      <br />
      
      <ion-item class="lista" style="background-color: #ccc;">
          <ion-label>Kode HSP *</ion-label>
          <ion-input type="text" [(ngModel)]="regData.kode_agent" name="kode_agent" readonly></ion-input>
      </ion-item>
      
      <ion-item class="lista">
          <ion-label>Kode Sales *</ion-label>
          <ion-input type="text" [(ngModel)]="regData.kode_sales" name="kode_sales" clearInput=true></ion-input>
      </ion-item>
      
      <ion-item>
          <ion-label>Password *</ion-label>
          <ion-input type="password" [(ngModel)]="regData.password" name="password" clearInput=true></ion-input>
      </ion-item>

      <ion-item>
          <ion-label>Re-enter Password *</ion-label>
          <ion-input type="password" [(ngModel)]="regData.password2" name="password2" clearInput=true></ion-input>
      </ion-item>

      <ion-item>
        <ion-label><a href="#" (click)="getSk()"> Saya menyetujui S&K </a></ion-label>
        <ion-checkbox   (ionChange)="changeEvent($event)"></ion-checkbox>
      </ion-item>

      <div class="wrap_button mt-2">
        <button type="submit" ion-button block color="light" class="button-color" [disabled]="checkedbtn">Simpan</button>
      </div>
      
    </form>
    
  </ion-list>
</ion-content>
